unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, AHMSystemClass, AHMTFileHolder;

type
  TForm1 = class(TForm)
    AHMFileHolder1: TAHMFileHolder;
    Image1: TImage;
    BitBtn1: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  with AHMFileHolder1.Files[0] do
  begin
    SaveToFile(ExtractFilePath(Application.Exename)+NameOfFile);
    Image1.Picture.LoadFromFile(ExtractFilePath(Application.Exename)+NameOfFile);
  end;

end;

end.
